input_event
Prev | Chapter 25. Input Subsystem | Next

## Name

input_event — report new input event

## Synopsis

`void input_event (` | struct input_dev * | dev,
| unsigned int | type,
| unsigned int | code,
| int | value`)`;

## Arguments

`dev`

  device that generated the event

`type`

  type of the event

`code`

  event code

`value`

  value of the event

## Description

This function should be used by drivers implementing various input devices. See also `input_inject_event`.

Prev | Up | Next
struct ff_device | Home | input_inject_event